%define upstream_name DJabberd-Plugin-PrivateStorage
%define upstream_version 0.60

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Implement private storage, as described in XEP-0049, for DJabberd
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/DJabberd/%{upstream_name}-%{upstream_version}.tar.bz2
Url:		http://search.cpan.org/dist/%{upstream_name}

BuildRequires:	perl-devel
BuildRequires:	perl(File::Slurp)
BuildRequires:	perl(DBD::SQLite) 
BuildRequires:	perl(DJabberd)

BuildArch:	noarch

%description
Implement private storage, as described in XEP-0049, for DJabberd.

This is used by various jabber client to store room bookmark, or notes
on contact in the roster.
 
%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
# disabled until they work again
#make test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/DJabberd/
%{_mandir}/man3/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.600.0-3.mga6
+ Revision: 1026824
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.600.0-2.mga6
+ Revision: 968800
- Mageia 6 Mass Rebuild

* Sun Jul 19 2015 sander85 <sander85> 0.600.0-1.mga6
+ Revision: 855428
- Update spec

* Wed Oct 15 2014 umeabot <umeabot> 0.60-6.mga5
+ Revision: 745980
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.60-5.mga5
+ Revision: 684156
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.60-4.mga4
+ Revision: 510484
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.60-3.mga3
+ Revision: 365217
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.60-2.mga1
+ Revision: 37407
- mageia rebuild
- imported package perl-DJabberd-Plugin-PrivateStorage


* Sun Nov 22 2009 Michael Scherer <misc@mandriva.org> 0.60-2mdv2010.1
+ Revision: 469114
- disable test as they requires to be rewritten
- fix BuildRequires
- import perl-DJabberd-Plugin-PrivateStorage

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Sep 20 2007 Michael Scherer <misc@mandriva.org> 0.60-1mdv2008.0
- First Mandriva package
